
Foreman - Feature #11703

- Add authentication validate in WebUI

09/06/2015 04:42 AM - Ohad Levy

Status: Duplicate   

Priority: Normal   

Assignee: Amir Fefer   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1188839 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1188839

Description of problem:

When adding an external LDAP authentication source, provide a validate feature within the WebUI to verify settings used.  Similar to

what CloudForms offers.

Version-Release number of selected component (if applicable):

Sat 6

How reproducible:

N/A

Steps to Reproduce:

1. Navigate to Administer > LDAP Authentication

2. Click New LDAP Source and enter desired values

3. Under the Account tab provide a validate feature

Actual results:

No validate feature today.  It is a guess on proper values to enter and know they are correct.

Expected results:

Provide a validate feature for account settings used for the LDAP server.

Additional info:

N/A

Related issues:

Is duplicate of Foreman - Feature #7537: Add a "test" button to test LDAP con... Closed 09/19/2014

History

#1 - 09/06/2015 04:43 AM - Ohad Levy

- Assignee set to Amir Fefer

#2 - 09/06/2015 06:22 AM - Ohad Levy

- Category set to Authentication

#3 - 09/07/2015 02:59 AM - Dominic Cleal

- Is duplicate of Feature #7537: Add a "test" button to test LDAP connections added

#4 - 09/07/2015 03:00 AM - Dominic Cleal

- Status changed from New to Duplicate

PR's already open for this.
